import request from '@/utils/request'

// 查询采集项列表
export function listCollectionItem(query) {
  return request({
    url: '/sfa/collectionItem/list',
    method: 'get',
    params: query
  })
}

// 查询采集项详细
export function getCollectionItem(collectionId) {
  return request({
    url: '/sfa/collectionItem/' + collectionId,
    method: 'get'
  })
}

// 新增采集项
export function addCollectionItem(data) {
  return request({
    url: '/sfa/collectionItem/addItem',
    method: 'post',
    data: data
  })
}

// 修改采集项
export function updateCollectionItem(data) {
  return request({
    url: '/sfa/collectionItem/updateItem',
    method: 'post',
    data: data
  })
}

// 删除采集项
export function delCollectionItem(collectionId) {
  return request({
    url: '/sfa/collectionItem/' + collectionId,
    method: 'delete'
  })
}
// 删除采集项
export function delsoftCollectionItem(query) {
  return request({
    url: '/sfa/collectionItem/softRemove',
    method: 'get',
    params: query
  })
}
//
export function listCollectionItemList(query) {
  return request({
    url: '/sfa/collectionRelated/list',
    method: 'get',
    params: query
  })
}
export function collectionRelated(data) {
  return request({
    url: '/sfa/collectionRelated',
    method: 'post',
    data: data
  })
}
export function collectionRelatedDelete(collectionId) {
  return request({
    url: '/sfa/collectionRelated/' + collectionId,
    method: 'delete'
  })
}
export function moveCollection(data) {
  return request({
    url: '/sfa/collectionRelated/moveCollection',
    method: 'post',
    params: data
  })
}
